#!/usr/bin/env python3
# -*- coding: utf-8 -*-

'''Web pages for IP camera related operations'''

# System modules

# Third-party modules
from flask import Response, make_response, render_template, request
from flask_restx import Namespace, Resource, fields

# Custom modules
#import devices

############################
# WEB VIEW
############################

web = Namespace('webcam', description='Web webcam interface')


@web.route("/")
class Init(Resource):

    def get(self):
        data = {}
        return make_response(render_template("webcam.html", data=data))

